summaryrefslogtreecommitdiff
path: root/package/dovecot
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-02-07 20:03:20 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-02-07 20:03:20 +0100
commit6daa792eab1488d013fefc5eb7e4d01f40f38687 (patch)
tree6391cc46bb9fc8b859d99175ea317e5fa7b37959 /package/dovecot
parentadcaca72539b2ff4a5f4deee00d5f0251378ac9b (diff)
change defaults for CONFIG/BUILD/INSTALL styles
All packages need an update, so here is a very huge commit. Most of the 460 source packages use automatic style for configuration, building and installing. Make these styles default to "auto". If you have a package, which does not conform to this, just use manual style and add a do-$task make target. I added a new style named AUTOTOOL style, which is needed for some broken packages, which needs to be updated via autoconf or automake. I renamed CONFIGURE_STYLE to CONFIG_STYLE. Updates for some packages, which have newer upstream versions. Renaming of all package/*/extra directories. Use the directory src/ to provide overwrites of source files or to add the code, when no upstream package is available or used. src directory will be automatically used.
Diffstat (limited to 'package/dovecot')
-rw-r--r--package/dovecot/Makefile17
-rw-r--r--package/dovecot/patches/patch-configure41
-rw-r--r--package/dovecot/patches/patch-src_lib-sql_sql-drivers-register_c13
-rw-r--r--package/dovecot/patches/patch-src_plugins_quota_Makefile_in70
4 files changed, 8 insertions, 133 deletions
diff --git a/package/dovecot/Makefile b/package/dovecot/Makefile
index 8153e9426..d4acd7275 100644
--- a/package/dovecot/Makefile
+++ b/package/dovecot/Makefile
@@ -4,19 +4,18 @@
include ${TOPDIR}/rules.mk
PKG_NAME:= dovecot
-PKG_VERSION:= 1.1.14
+PKG_VERSION:= 1.2.10
PKG_RELEASE:= 1
-PKG_MD5SUM:= 60b1deccc0ae77e5669060d2b1894e5e
+PKG_MD5SUM:= b7d0081b17ff6afae85e8dc14157fa57
PKG_DESCR:= A minimal and secure imap server
PKG_SECTION:= net
PKG_URL:= http://www.dovecot.org
-PKG_SITES:= http://www.dovecot.org/releases/1.1/
+PKG_SITES:= http://www.dovecot.org/releases/1.2/
include ${TOPDIR}/mk/package.mk
$(eval $(call PKG_template,DOVECOT,${PKG_NAME},${PKG_VERSION}-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
-CONFIGURE_STYLE:= gnu
CONFIGURE_ENV+= ignore_signed_size=1 \
have_rquota=no \
signed_size_t=no \
@@ -40,12 +39,10 @@ CONFIGURE_ARGS+= --with-notify=none \
--with-ioloop=epoll \
--with-ssl \
--with-moduledir=/usr/lib/dovecot/modules
-BUILD_STYLE:= auto
-INSTALL_STYLE:= auto
post-install:
${INSTALL_DIR} ${IDIR_DOVECOT}/etc
- ${INSTALL_DIR} ${IDIR_DOVECOT}/usr/sbin/dovecot
+ ${INSTALL_DIR} ${IDIR_DOVECOT}/usr/lib/dovecot
${INSTALL_DATA} ./files/dovecot.conf ${IDIR_DOVECOT}/etc
${INSTALL_DIR} ${IDIR_DOVECOT}/usr/lib/dovecot/modules/{imap,lda,pop3}
$(CP) ${WRKINST}/usr/lib/dovecot/modules/*.so \
@@ -56,7 +53,9 @@ post-install:
${IDIR_DOVECOT}/usr/lib/dovecot/modules/lda/
$(CP) ${WRKINST}/usr/lib/dovecot/modules/pop3/*.so \
${IDIR_DOVECOT}/usr/lib/dovecot/modules/pop3/
- $(CP) ${WRKINST}/usr/sbin/dovecot/* \
- ${IDIR_DOVECOT}/usr/sbin/dovecot/
+ $(INSTALL_BIN) ${WRKINST}/usr/sbin/dovecot/* \
+ ${IDIR_DOVECOT}/usr/lib/dovecot/
+ $(INSTALL_BIN) ${WRKINST}/usr/sbin/dovecot \
+ ${IDIR_DOVECOT}/usr/sbin
include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/dovecot/patches/patch-configure b/package/dovecot/patches/patch-configure
deleted file mode 100644
index 5ccf6bfba..000000000
--- a/package/dovecot/patches/patch-configure
+++ /dev/null
@@ -1,41 +0,0 @@
-$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
---- dovecot-1.1.14.orig/configure 2009-04-17 04:38:09.000000000 +0200
-+++ dovecot-1.1.14/configure 2009-05-14 00:37:04.000000000 +0200
-@@ -30129,23 +30129,6 @@ if ! $RPCGEN -c /dev/null > /dev/null; t
- fi
-
-
--have_rquota=no
--if test -f /usr/include/rpcsvc/rquota.x && test -n "$RPCGEN"; then
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_RQUOTA
--_ACEOF
--
-- have_rquota=yes
--fi
-- if test "$have_rquota" = "yes"; then
-- HAVE_RQUOTA_TRUE=
-- HAVE_RQUOTA_FALSE='#'
--else
-- HAVE_RQUOTA_TRUE='#'
-- HAVE_RQUOTA_FALSE=
--fi
--
-
- if test "$want_solr" != "no"; then
- # Extract the first word of "curl-config", so it can be a program name with args.
-@@ -30684,13 +30667,6 @@ echo "$as_me: error: conditional \"BUILD
- Usually this means the macro was only invoked conditionally." >&2;}
- { (exit 1); exit 1; }; }
- fi
--if test -z "${HAVE_RQUOTA_TRUE}" && test -z "${HAVE_RQUOTA_FALSE}"; then
-- { { echo "$as_me:$LINENO: error: conditional \"HAVE_RQUOTA\" was never defined.
--Usually this means the macro was only invoked conditionally." >&5
--echo "$as_me: error: conditional \"HAVE_RQUOTA\" was never defined.
--Usually this means the macro was only invoked conditionally." >&2;}
-- { (exit 1); exit 1; }; }
--fi
- if test -z "${BUILD_SOLR_TRUE}" && test -z "${BUILD_SOLR_FALSE}"; then
- { { echo "$as_me:$LINENO: error: conditional \"BUILD_SOLR\" was never defined.
- Usually this means the macro was only invoked conditionally." >&5
diff --git a/package/dovecot/patches/patch-src_lib-sql_sql-drivers-register_c b/package/dovecot/patches/patch-src_lib-sql_sql-drivers-register_c
deleted file mode 100644
index 6c0403839..000000000
--- a/package/dovecot/patches/patch-src_lib-sql_sql-drivers-register_c
+++ /dev/null
@@ -1,13 +0,0 @@
-$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
---- dovecot-1.1.14.orig/src/lib-sql/sql-drivers-register.c 2009-04-17 04:40:53.000000000 +0200
-+++ dovecot-1.1.14/src/lib-sql/sql-drivers-register.c 2009-05-14 00:37:59.000000000 +0200
-@@ -1,9 +1,5 @@
- /* this file automatically generated by Makefile */
- #include "lib.h"
- #include "sql-api.h"
--extern struct sql_db driver_pgsql_db;
--extern struct sql_db driver_mysql_db;
- void sql_drivers_register_all(void) {
--sql_driver_register(&driver_pgsql_db);
--sql_driver_register(&driver_mysql_db);
- }
diff --git a/package/dovecot/patches/patch-src_plugins_quota_Makefile_in b/package/dovecot/patches/patch-src_plugins_quota_Makefile_in
deleted file mode 100644
index ff405c296..000000000
--- a/package/dovecot/patches/patch-src_plugins_quota_Makefile_in
+++ /dev/null
@@ -1,70 +0,0 @@
-$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
---- dovecot-1.1.14.orig/src/plugins/quota/Makefile.in 2009-04-17 04:38:14.000000000 +0200
-+++ dovecot-1.1.14/src/plugins/quota/Makefile.in 2009-05-14 00:44:46.000000000 +0200
-@@ -55,12 +55,11 @@ LTLIBRARIES = $(module_LTLIBRARIES)
- lib10_quota_plugin_la_DEPENDENCIES =
- am__lib10_quota_plugin_la_SOURCES_DIST = quota.c quota-count.c \
- quota-fs.c quota-dict.c quota-dirsize.c quota-maildir.c \
-- quota-plugin.c quota-storage.c rquota_xdr.c
-+ quota-plugin.c quota-storage.c
- am__objects_1 = quota.lo quota-count.lo quota-fs.lo quota-dict.lo \
- quota-dirsize.lo quota-maildir.lo quota-plugin.lo \
- quota-storage.lo
--@HAVE_RQUOTA_TRUE@am__objects_2 = rquota_xdr.lo
--am_lib10_quota_plugin_la_OBJECTS = $(am__objects_1) $(am__objects_2)
-+am_lib10_quota_plugin_la_OBJECTS = $(am__objects_1)
- lib10_quota_plugin_la_OBJECTS = $(am_lib10_quota_plugin_la_OBJECTS)
- lib10_quota_plugin_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
- $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-@@ -244,9 +243,6 @@ lib10_quota_plugin_la_LDFLAGS = -module
- module_LTLIBRARIES = \
- lib10_quota_plugin.la
-
--@HAVE_RQUOTA_TRUE@lib10_quota_plugin_la_LIBADD = \
--@HAVE_RQUOTA_TRUE@ -lrpcsvc
--
- quota_dist_sources = \
- quota.c \
- quota-count.c \
-@@ -258,11 +254,8 @@ quota_dist_sources = \
- quota-storage.c
-
- lib10_quota_plugin_la_SOURCES = \
-- $(quota_dist_sources) \
-- $(RQUOTA_XDR)
-+ $(quota_dist_sources)
-
--@HAVE_RQUOTA_TRUE@RQUOTA_XDR = rquota_xdr.c
--@HAVE_RQUOTA_TRUE@RQUOTA_X = /usr/include/rpcsvc/rquota.x
- noinst_HEADERS = \
- quota.h \
- quota-fs.h \
-@@ -347,7 +340,6 @@ distclean-compile:
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/quota-plugin.Plo@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/quota-storage.Plo@am__quote@
- @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/quota.Plo@am__quote@
--@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rquota_xdr.Plo@am__quote@
-
- .c.o:
- @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@@ -553,20 +545,6 @@ uninstall-am: uninstall-moduleLTLIBRARIE
- mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
- tags uninstall uninstall-am uninstall-moduleLTLIBRARIES
-
--@HAVE_RQUOTA_TRUE@rquota_xdr.c: Makefile $(RQUOTA_X)
--@HAVE_RQUOTA_TRUE@ (echo '#include "lib.h"'; \
--@HAVE_RQUOTA_TRUE@ echo '#include <rpc/rpc.h>'; \
--@HAVE_RQUOTA_TRUE@ $(RPCGEN) -c $(RQUOTA_X) | \
--@HAVE_RQUOTA_TRUE@ sed -e 's/IXDR_PUT/(void)IXDR_PUT/g' \
--@HAVE_RQUOTA_TRUE@ -e 's,/usr/include/rpcsvc/rquota.h,rquota.h,' \
--@HAVE_RQUOTA_TRUE@ -e 's/int32_t \*buf/int32_t *buf ATTR_UNUSED/' \
--@HAVE_RQUOTA_TRUE@ -e 's/^static char rcsid.*//' ) > rquota_xdr.c
--
--@HAVE_RQUOTA_TRUE@rquota.h: Makefile $(RQUOTA_X)
--@HAVE_RQUOTA_TRUE@ $(RPCGEN) -h $(RQUOTA_X) > rquota.h
--
--@HAVE_RQUOTA_TRUE@quota-fs.lo: rquota.h
--
- install-exec-local:
- for d in imap pop3 lda; do \
- $(mkdir_p) $(DESTDIR)$(moduledir)/$$d; \